1. Cards
Kobble
  • Introduction
  • API Fundamentals
    • Idempotency
    • Rate Limits
    • Healthcheck
      GET
  • Authorization
    • Authorization
    • Get access token
      POST
    • Get access token
      POST
  • Beneficiaries
    • List all beneficiaries
      GET
    • Get beneficiary by ID
      GET
    • Create beneficiary
      POST
    • Update beneficiary
      PUT
    • Create Payid beneficiary
      POST
    • Update beneficiary
      PATCH
  • Cards
    • Cards API
    • Card Creation Flow — Developer Guide & Onboarding
    • Get all cards
      GET
    • Create a new card
      POST
    • Get card by ID
      GET
    • Update card status
      PATCH
    • Replace or renew card
      POST
    • Generate card secret
      POST
    • Generate MeaWallet widget session token
      POST
  • Card Programs
    • Card Programs API
    • Get all programs
      GET
    • Create a new program
      POST
    • Get program by ID
      GET
  • Clients
    • Clients API
    • Get all clients
    • Get client by ID
    • Create a new client
    • Update client status
  • Endusers
    • Endusers API
    • Usage of Metadata on Endusers
    • Get all endusers
    • Create a new enduser
    • Get enduser by ID
    • Update enduser
  • Transactions
    • Transactions API
    • Get all transactions
    • Create a transaction
    • Get transaction by ID
    • Create manual credit transaction
    • Create manual debit transaction
  • Wallets
    • Wallets API
    • Get all wallets
    • Create a new wallet
    • Get wallet by ID
    • Update wallet
  • Relays
    • Relays API
    • Create subscription
  • Webhooks
    • Webhooks API
    • Webhook Signature Verification
    • Get all webhooks
    • Create a webhook
    • Delete a webhook
    • Report completed
    • Get all webhooks
    • Create a webhook
    • Delete a webhook
  • Wallet Statements
    • Request a wallet statement
    • List wallet statements
    • Get a wallet statement
    • Get a wallet statement download URL
  • Card Art
    • Get a card art upload URL
    • Register a card art
    • List card arts
    • Get a card art
    • Update a card art
    • Activate a card art
    • Archive a card art
  • Schemas
    • Schemas
    • CardWidgetSessionTokenResponse
    • 202 Accepted
    • Webhook
    • 201 Created
    • Relay
    • Create Beneficiary with bank details
    • Client
    • Beneficiary
    • Card
    • CardCreateInputDto
    • CardStatusUpdateDto
    • CardRenewReplaceInputDto
    • Program
    • MetadataKobbleDebit1
    • ProgramCreateInputDto
    • Person
    • Company
    • Enduser
    • Enduser Create Person Input
    • Enduser Create Company Input
    • Metadata
    • Enduser Create Input DTO
    • Transaction
    • TransactionCreateManualCreditInputDto
    • TransactionCreateInputDto
    • Wallet
    • WalletCreateInputDto
    • WalletUpdateInputDto
    • WalletStatement
    • WebhookNotification
    • ReportCompletedEntity
    • ReportCompletedNotification
    • CardArt
    • CardArtDetail
    • CardArtUploadUrlInput
    • CardArtUploadUrlResponse
    • CardArtCreateInput
    • CardArtPatchInput
    • Error
    • RelayCreateResponse
  1. Cards

Update card status

PATCH
/customers/v1/cards/{id}/status
Update the status of a specific card (e.g., ACTIVE, SUSPENDED, STOLEN).
If the new status equals the current status the call is an idempotent no-op: the card is returned unchanged (with its program object additionally embedded in this case) and no update is sent to the card network.

Request

Path Params

Header Params

Body Params application/json

Example
{
    "status": "SUSPENDED"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/customers/v1/cards//status' \
--header 'x-client-id;' \
--header 'Content-Type: application/json' \
--data '{
    "status": "SUSPENDED"
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "id": "1b8ecc17-4edd-4b74-ae4f-208aeb78f105",
    "type": "PHYSICAL",
    "wallet_id": "6a109dbd-0320-b3be-5909-7432544593f3",
    "created_at": "2025-01-13T23:41:58.715Z",
    "updated_at": "2025-01-13T23:41:58.715Z",
    "status": "INACTIVE",
    "external_id": "1111111",
    "last_four_digit": "1111",
    "expiry": "1982-11-27T21:35:40.797Z",
    "program_id": "32a882e8-32f0-7efc-1e06-04d20455cb9f",
    "m_pan": "1111***1111"
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
Modified at 2026-08-05 04:06:11
Previous
Get card by ID
Next
Replace or renew card
Built with